Snoze Developers
API referenceTools

Invoke

POST
/v1/workspaces/{workspaceId}/tools/invoke
AuthorizationBearer <token>

Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.

In: header

Path Parameters

workspaceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/string/tools/invoke" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "args": {}  }'
{  "data": {    "id": "string",    "name": "string",    "workspaceId": "string",    "status": "completed",    "stake": "never_ask",    "output": {},    "error": "string",    "resumeToken": "string",    "approvalPreview": {},    "startedAt": "string",    "completedAt": "string"  }}